{#
/**
 * @file
 * Template for Navbar component.
 *
 * Available config:
 * - navbar_container_type: false | sm | md | lg | xl | xxl | fluid
 * - placement: default | fixed-after-scroll | fixed-top | fixed-bottom | sticky-top
 * - navbar_expand: sm | md | lg | xl | false
 * - navbar_theme: dark | light (default: light)
 * - navbar_utility_classes: An array of utility classes.
 *
 * Available blocks:
 * - branding
 * - left
 * - right
 *
 * Changes against Radix:
 * - TODO
 */
#}
{% set nav_attributes = nav_attributes ?: create_attribute() %}
{% set navbar_container_attributes = navbar_container_attributes ?: create_attribute() %}

{% set id = id ?? 'navbar' ~ random() %}
{% set placement = placement ?? '' %}
{% set navbar_expand = navbar_expand ?? 'lg' %}
{% set navbar_theme = navbar_theme ?? null %}
{%
  set navbar_container_classes = [
    navbar_container_type is null ? 'container' : '',
    navbar_container_type ? 'container' ~ (navbar_container_type ? '-' ~ navbar_container_type : '') : '',
  ]|merge(navbar_container_utility_classes ?: [])
%}

{%
  set nav_classes = [
    'navbar',
    navbar_expand ? 'navbar-expand-' ~ navbar_expand : '',
    placement,
  ]|merge(navbar_utility_classes ?: [])
%}

{% if placement == 'fixed-after-scroll' %}
  {# We need to 'reserve' the height of the undocked navbar in this case to prevent jumping content. #}
  <div class="navbar-height-wrapper position-relative">
{% endif %}
<nav {{ nav_attributes.setAttribute('id', id).setAttribute('data-bs-theme', navbar_theme).addClass(nav_classes) }}>
  <div {{ navbar_container_attributes.addClass(navbar_container_classes) }}>
    {% block branding %}
      {{ branding }}
    {% endblock %}

    {% block navbar_toggler %}
      <button class="navbar-toggler align-self-stretch border-0 rounded-0" type="button" data-bs-toggle="offcanvas" data-bs-target="#offcanvas-main-nav" aria-controls="offcanvas-main-nav" aria-label="Toggle navigation">
        {# Static BS default burger menu icon #}
        {# <span class="navbar-toggler-icon"></span> #}
        {# Animated Burger Icon #}
        <span class="navbar-toggler__icon navbar-toggler-icon-animated">
          <span></span>
          <span></span>
          <span></span>
          <span></span>
        </span>
        {# <span class="navbar-toggler__label text-uppercase fw-semibold">
          {{ 'Menu'|t }}
        </span> #}
      </button>
    {% endblock %}

    {# If navbar_collapse is set to false always show this wrapper, so the navbar_toggler + this content is always visible. #}
    <div class="navbar-content{% if navbar_expand %} collapse navbar-collapse{% endif %}">
      {% block left %}
        {{ left }}
      {% endblock %}

      {% block right %}
        {{ right }}
      {% endblock %}
    </div>
  </div>
</nav>
{% if placement == 'fixed-after-scroll' %}
  {# We need to 'reserve' the height of the undocked navbar in this case to prevent jumping content. #}
  </div>
{% endif %}
